This is the documentation for the latest (main) development branch of Zephyr. If you are looking for the documentation of previous releases, use the drop-down menu on the left and select the desired version.

CONFIG_BT_EATT_SEC_LEVEL

Enhanced ATT bearer security level

Type: int

Help

L2CAP server required security level of EATT bearers:
Level 1 (BT_SECURITY_L1) = No encryption or authentication required
Level 2 (BT_SECURITY_L2) = Only encryption required
Level 3 (BT_SECURITY_L3) = Encryption and authentication required
Level 4 (BT_SECURITY_L4) = Secure connection required

Direct dependencies

BT_EATT && BT_CONN && BT_HCI_HOST && BT_HCI && BT

(Includes any dependencies from ifs and menus.)

Default

  • 1

Kconfig definition

At subsys/bluetooth/host/Kconfig.gatt:45

Included via Kconfig:8Kconfig.zephyr:42subsys/Kconfig:9subsys/bluetooth/Kconfig:313subsys/bluetooth/host/Kconfig:450

Menu path: (Top) → Sub Systems and OS Services → Bluetooth → ATT and GATT Options → Enhanced ATT Bearers support [EXPERIMENTAL]

config BT_EATT_SEC_LEVEL
    int "Enhanced ATT bearer security level"
    range 1 4
    default 1
    depends on BT_EATT && BT_CONN && BT_HCI_HOST && BT_HCI && BT
    help
      L2CAP server required security level of EATT bearers:
      Level 1 (BT_SECURITY_L1) = No encryption or authentication required
      Level 2 (BT_SECURITY_L2) = Only encryption required
      Level 3 (BT_SECURITY_L3) = Encryption and authentication required
      Level 4 (BT_SECURITY_L4) = Secure connection required

(The ‘depends on’ condition includes propagated dependencies from ifs and menus.)